package ij3d.behaviors;

import ij3d.Image3DUniverse;

import javax.media.j3d.*;

import java.util.Enumeration;

public class AddRemoveContent extends Behavior {

	public static final int ADD    = 1;
	public static final int REMOVE = 2;
	
	private Image3DUniverse univ;

	private WakeupCondition wakeupCriterion;

	private WakeupOnBehaviorPost addCrit;
	private WakeupOnBehaviorPost removeCrit;
	
	public AddRemoveContent(Image3DUniverse univ) {
		this.univ = univ;
		addCrit = new WakeupOnBehaviorPost(null, ADD);
		removeCrit = new WakeupOnBehaviorPost(null, REMOVE);
	}

	public void initialize() {
		wakeupCriterion = new WakeupOr(
				new WakeupCriterion[] {addCrit, removeCrit});
		this.wakeupOn(wakeupCriterion);
	}

	public void processStimulus(Enumeration criteria) {
		while(criteria.hasMoreElements()) {
			Object c = criteria.nextElement();
			if(c instanceof WakeupOnBehaviorPost) {
				WakeupOnBehaviorPost post = (WakeupOnBehaviorPost)c;
				int id = post.getTriggeringPostId();
				switch(id) {
					case ADD:
						break;
					case REMOVE:
						break;
				}
			}
		}
		wakeupOn(wakeupCriterion);
	}
}
